Retrieves all ESA reading import profiles
Use this endpoint to list all available ESA reading import profiles. These profiles define
how files are mapped to channel readings during ESA interval data import.
Requires Meters View permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
EsaReadingImportProfileResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| channelImportId | ColumnNumberOrOverrideValueString | |||||||||||||
|
ColumnNumberOrOverrideValueString properties
|
||||||||||||||
| createdBy | UserChild | |||||||||||||
|
UserChild properties
|
||||||||||||||
| createdDate | The date and time the import profile was modified | string (date-time) | ||||||||||||
| dataPointImportId | ColumnNumberOrOverrideValueString | |||||||||||||
|
ColumnNumberOrOverrideValueString properties
|
||||||||||||||
| dateColumnNumber | The number of the column that holds the date | integer (int32) | ||||||||||||
| dateFormat | The format for the date of the readings. An example is MM/dd/yyyy | string | ||||||||||||
| dateTimeColumnNumber | The number of the column that holds the Date and Time | integer (int32) | ||||||||||||
| dateTimeFormat | The format for the Date and Time of the readings. An example is MM/dd/yyyy mm:hh:ss:zzz | string | ||||||||||||
| decimalSeparator | The string that represents how the decimal values are separated | string | ||||||||||||
| delimiter | The string that represents how the file contents are delimited | string | ||||||||||||
| estimated | Estimated | |||||||||||||
|
Estimated properties
|
||||||||||||||
| interval | ColumnNumberOrOverrideValueNullableInt32 | |||||||||||||
|
ColumnNumberOrOverrideValueNullableInt32 properties
|
||||||||||||||
| intervalDataTypes | A list of columns from the import sheet with their observation type and unit | EsaReadingImportProfileColumn[] | ||||||||||||
|
EsaReadingImportProfileColumn properties
|
||||||||||||||
| modifiedBy | UserChild | |||||||||||||
|
UserChild properties
|
||||||||||||||
| modifiedDate | The date and time the import profile was modified | string (date-time) | ||||||||||||
| numberOfHeaderRows | Number of header rows before the data begins | integer (int32) | ||||||||||||
| profileDescription | Description of the import profile | string | ||||||||||||
| profileId | Identifier of the record import profile | integer (int32) | ||||||||||||
| profileInfo | Name of the import profile | string | ||||||||||||
| readingNoteColumnNumber | Column number that holds a note to be stored with the reading | integer (int32) | ||||||||||||
| readingValueColumnNumber | Column number that holds reading value to be imported onto the ChannelImportId | integer (int32) | ||||||||||||
| timeColumnNumber | The number of the column that holds the time | integer (int32) | ||||||||||||
| timeFormat | The format for the time of the readings. An example is mm:hh:ss:zzz | string | ||||||||||||
| timeZone | TimeZoneChild | |||||||||||||
|
TimeZoneChild properties
|
||||||||||||||
Example Response
[
{ "channelImportId": { "columnNumber": 1, "overrideValue": "string"
}, "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-06-29", "dataPointImportId": { "columnNumber": 1, "overrideValue": "string"
}, "dateColumnNumber": 1, "dateFormat": "string", "dateTimeColumnNumber": 1, "dateTimeFormat": "string", "decimalSeparator": "string", "delimiter": "string", "estimated": { "columnNumber": 1, "indicator": "string"
}, "interval": { "columnNumber": 1, "overrideValue": 1
}, "intervalDataTypes": [
{ "columnNumber": 1, "observationTypeCode": "string"
}
], "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-06-29", "numberOfHeaderRows": 1, "profileDescription": "string", "profileId": 1, "profileInfo": "string", "readingNoteColumnNumber": 1, "readingValueColumnNumber": 1, "timeColumnNumber": 1, "timeFormat": "string", "timeZone": { "timeZoneCode": "string", "timeZoneId": 1, "timeZoneInfo": "string"
}
}
]